proxy {

  agent.port = 50440

  tls {
    certChainFilePath = "testing/certs/server1.pem"       // Server certificate chain file path
    privateKeyFilePath = "testing/certs/server1.key"      // Server private key file path
    trustCertCollectionFilePath = "testing/certs/ca.pem"  // Trust certificate collection file path
  }
}

agent {

  // Only trustCertCollectionFilePath is required on the client with TLS (with mutual authentication)
  tls {
    overrideAuthority = "foo.test.google.fr"              // Override authority (for testing only)
    certChainFilePath = "testing/certs/client.pem"        // Client certificate chain file path
    privateKeyFilePath = "testing/certs/client.key"       // Client private key file path
    trustCertCollectionFilePath = "testing/certs/ca.pem"  // Trust certificate collection file path
  }

  metrics {
    standardExportsEnabled = true          // Include standard export metrics
    memoryPoolsExportsEnabled = true       // Include JVM memory pool metrics
    garbageCollectorExportsEnabled = true  // Include JVM garbage collector metrics
    threadExportsEnabled = true            // Include JVM thread metrics
    classLoadingExportsEnabled = true      // Include JVM class loading metrics
    versionInfoExportsEnabled = true       // Include JVM version info metrics
  }

  pathConfigs: [
    {
      name: "App1 metrics"
      path: app1_metrics
      url: "http://167.99.43.82:9100/metrics"
    },
    {
      name: "App2 metrics"
      path: app2_metrics
      url: "http://188.165.233.148:9100/metrics"
    },
  ]

}